.carousel {
	padding-bottom: 1rem;
	background-color: $white;

	.direction {
		z-index: auto;
		position: absolute;
		top: calc(50% - 25px);
		width: 100%;
	}

	.carousel-inner {
		height: 500px;
	}

	.carousel-item {
		height: 100%;

		.button-item {
			@include media-breakpoint-down(md) {
				bottom: 10px;
				min-width: auto;
				padding: 10px 18px;
				left: calc(50% - 53px);
				font-size: 10px;
			}

			position: absolute;
			bottom: 50px;
			padding: 10px 57px;
			font-size: 12px;
			min-width: 200px;
			background: $black;
			color: $white;
			font-weight: 700;
			letter-spacing: 4px;
			border-radius: 8px;
			left: calc(50% - 100px);
		}

		img {
			width: 100%;
			max-width: 100%;
			height: auto;
			object-fit: cover;
			object-position: center;
		}

		.caption {
			position: absolute;
			bottom: 28px;
			left: 90px;
			max-width: 340px;
			color: $white;

			.caption-description {
				p {
					font-size: 1rem;
					color: $white;
				}

				h3 {
					font-size: 1.25rem;
					font-weight: 600;
				}
			}

			.display-1 {
				font-size: 3rem;
				font-weight: 700;
			}
		}

		figure {
			display: block;
			margin: 0;
		}
	}

	.carousel-control {
		opacity: 1;
		margin: 0 15px;

		.icon-next,
		.icon-prev {
			&::before {
				content: "";
			}

			i {
				font-size: 25px;
				color: $black;
			}

			&:hover {
				i {
					color: $brand-primary;
				}
			}
		}

		.icon-prev {
			left: 1rem;
		}

		.icon-next {
			right: 2rem;
		}

		&.left {
			background: none;
			float: left;
		}
		&.right {
			background: none;
			float: right;
		}
	}
}

.carousel-indicators {
	@include media-breakpoint-down(md) {
		display: none;
	}

	li {
		border-color: $gray;
	}

	.active {
		background-color: $gray;
	}
}

@include media-breakpoint-up(lg) {
	.carousel {
		.carousel-indicators {
			display: none;
		}
	}
}

@include media-breakpoint-down(lg) {
	.carousel {
		.carousel-inner {
			height: auto;
			margin-bottom: 0;
		}
	}
}

@include media-breakpoint-down(md) {
	.carousel {
		left: 50%;
		width: 100vw;
		padding-bottom: 0;
		margin-left: -50vw;
		background-color: $gray-light;
		box-shadow: none;

		.carousel-item {
			.caption {
				position: static;
				margin: 1.275rem auto 2.5rem;
				text-align: center;

				.display-1 {
					font-size: 2rem;
					font-weight: 500;
					color: $gray-darker;
				}

				.caption-description {
					h3,
					p {
						color: $gray;
					}

					h3 {
						font-size: 1rem;
					}
				}
			}
		}

		.direction {
			position: absolute;
			top: calc(50%);
			width: 100%;

			.carousel-control {
				.icon-prev {
					left: 0;
					margin-left: 0;
				}

				.icon-next {
					right: 0;
					margin-right: 0.78rem;
				}

				i {
					background: rgba(122, 122, 122, 0.5);
				}
			}
		}
	}

	.carousel-indicators {
		li {
			width: 8px;
			height: 8px;
		}

		.active {
			width: 8px;
			height: 8px;
			margin: 1px;
		}
	}
}

@include media-breakpoint-down(sm) {
	.carousel {
		.carousel-item {
			.caption {
				.display-1 {
					font-size: 1.3rem;
				}
			}
		}

		.carousel-control {
			.icon-prev,
			.icon-next {
				i {
					font-size: 2rem;
				}
			}
		}
	}
}
